> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom column values

> Retrieve custom column values for companies. Includes column metadata, values, and company associations.

**Notes:**
- If no company is specified, returns custom column data for all companies.

**Permissions:**
- User must be authenticated via OAuth.
- User must have access to the metrics data.



## OpenAPI

````yaml get /custom-columns/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /custom-columns/:
    get:
      tags:
        - custom-columns
      summary: Get custom column values
      description: >-
        Retrieve custom column values for companies. Includes column metadata,
        values, and company associations.


        **Notes:**

        - If no company is specified, returns custom column data for all
        companies.


        **Permissions:**

        - User must be authenticated via OAuth.

        - User must have access to the metrics data.
      operationId: custom-columns_list
      parameters:
        - name: page
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: company_slug
          in: query
          description: >-
            The slug that uniquely identifies the company whose metrics' to
            request. You can find the slug for a company by going to that
            company's portfolio page, and then the last portion of the URL will
            be the unique slug for said company. For example: in the url:
            `app.standardmetrics.io/venture/fund-slug/portfolio/example-slug/`,
            `example-slug` would the the slug. You can also make a request to
            the `/companies` endpoint to get a list of all your firm's companies
            and their slugs. Either the `company_slug` or `company_id` parameter
            must be passed to this endpoint.
          schema:
            type: string
        - name: company_id
          in: query
          description: >-
            The id for the company whose metrics' to request. You can get a
            company's id by making a request to the `/companies` endpoint.
            Either the `company_slug` or `company_id` parameter must be passed
            to this endpoint.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/EntityProperty'
components:
  schemas:
    EntityProperty:
      oneOf:
        - $ref: '#/components/schemas/TextEntityProperty'
        - $ref: '#/components/schemas/SingleSelectEntityProperty'
        - $ref: '#/components/schemas/MultiSelectEntityProperty'
      discriminator:
        propertyName: type
        mapping:
          text:
            $ref: '#/components/schemas/TextEntityProperty'
          select:
            $ref: '#/components/schemas/SingleSelectEntityProperty'
          multi_select:
            $ref: '#/components/schemas/MultiSelectEntityProperty'
    TextEntityProperty:
      type: object
      required:
        - company
        - id
        - name
        - type
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          minLength: 1
          type: string
        company:
          required:
            - id
          type: object
          properties:
            id:
              title: Id
              type: string
            name:
              title: Name
              minLength: 1
              type: string
              readOnly: true
            slug:
              title: Slug
              minLength: 1
              pattern: ^[-a-zA-Z0-9_]+$
              type: string
              format: slug
              readOnly: true
        type:
          type: string
          enum:
            - text
        value:
          type: string
          nullable: true
    SingleSelectEntityProperty:
      type: object
      required:
        - company
        - id
        - name
        - type
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          minLength: 1
          type: string
        company:
          required:
            - id
          type: object
          properties:
            id:
              title: Id
              type: string
            name:
              title: Name
              minLength: 1
              type: string
              readOnly: true
            slug:
              title: Slug
              minLength: 1
              pattern: ^[-a-zA-Z0-9_]+$
              type: string
              format: slug
              readOnly: true
        type:
          type: string
          enum:
            - select
        value:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EntityPropertyOption'
    MultiSelectEntityProperty:
      type: object
      required:
        - company
        - id
        - name
        - type
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          minLength: 1
          type: string
        company:
          required:
            - id
          type: object
          properties:
            id:
              title: Id
              type: string
            name:
              title: Name
              minLength: 1
              type: string
              readOnly: true
            slug:
              title: Slug
              minLength: 1
              pattern: ^[-a-zA-Z0-9_]+$
              type: string
              format: slug
              readOnly: true
        type:
          type: string
          enum:
            - multi_select
        value:
          type: array
          items:
            $ref: '#/components/schemas/EntityPropertyOption'
    EntityPropertyOption:
      type: object
      required:
        - id
        - value
        - color
      properties:
        id:
          type: string
        value:
          type: string
        color:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````